<back to all web services

CreateProject

The following routes are available for this service:
POST/RestApi/translations/projects
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Projects
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects

        Public Partial Class CreateProject
            Implements IProjectInfo
            Public Overridable Property Title As String Implements IProjectInfo.Title
            Public Overridable Property StartDate As Date? Implements IProjectInfo.StartDate
            Public Overridable Property EndDate As Date? Implements IProjectInfo.EndDate
            Public Overridable Property Description As String Implements IProjectInfo.Description
            Public Overridable Property Connector As String Implements IProjectInfo.Connector
            Public Overridable Property PoReference As String Implements IProjectInfo.PoReference
            Public Overridable Property ActualSourceLanguage As String Implements IProjectInfo.ActualSourceLanguage
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response

        Public Partial Class ConnectorProxy
            Public Overridable Property Name As String
            Public Overridable Property Title As String
            Public Overridable Property Count As Integer
            Public Overridable Property Xliff As XliffProxy
            Public Overridable Property SupportedLanguages As IEnumerable(Of LanguagePairProxy)
        End Class

        Public Partial Class LanguagePairProxy
            Public Overridable Property ActualSource As LanguageProxy
            Public Overridable Property Target As LanguageProxy
        End Class

        Public Partial Class LanguageProxy
            Public Overridable Property Code As String
            Public Overridable Property Name As String
            Public Overridable Property Count As Integer
        End Class

        Public Partial Class XliffProxy
            Public Overridable Property IsXliff As Boolean
            Public Overridable Property IsFtp As Boolean
            Public Overridable Property IsMachineTranslation As Boolean
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Projects

        Public Partial Class ProjectProxy
            Public Overridable Property Id As Guid
            Public Overridable Property Title As String
            Public Overridable Property Description As String
            Public Overridable Property StartDate As Date
            Public Overridable Property DueDate As Date
            Public Overridable Property DateSent As Date?
            Public Overridable Property DateCompleted As Date?
            Public Overridable Property SentBy As String
            Public Overridable Property Connector As ConnectorProxy
            Public Overridable Property Status As String
            Public Overridable Property PoReference As String
            Public Overridable Property ActualSourceLanguage As LanguageProxy
            Public Overridable Property TargetLanguages As List(Of LanguageProxy)
            Public Overridable Property TranslationsCount As Integer
            Public Overridable Property CanBeCompleted As Boolean
            Public Overridable Property ExternalId As String
        End Class
    End Namespace
End Namespace

VB.NET CreateProject DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/projects HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000-0000)\/","DueDate":"\/Date(-62135596800000-0000)\/","DateSent":"\/Date(-62135596800000-0000)\/","DateCompleted":"\/Date(-62135596800000-0000)\/","SentBy":"String","Connector":{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}},"Status":"String","PoReference":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"TranslationsCount":0,"CanBeCompleted":false,"ExternalId":"String"}